// *********************************************
// *                   J-CHOCO                 *
// *   Copyright (c) F. Laburthe, 1999-2003    *
// *********************************************
// * Event-base contraint programming Engine   *
// *********************************************

// CVS Information
// File:               $RCSfile: ConstraintPlugin.java,v $
// Version:            $Revision: 1.1.1.1 $
// Last Modification:  $Date: 2004/05/11 13:51:50 $
// Last Contributor:   $Author: laburthe $

package choco.prop;

/**
 * An interface for all objects that can be plugged to a constraint.
 */
public interface ConstraintPlugin {
  public void addListener();

  public void activateListener();

  public void deactivateListener();

  public void deactivateListener(int varIndex);
}

