package choco.search;

import choco.Problem;

// **************************************************
// *                   J-CHOCO                      *
// *   Copyright (C) F. Laburthe, 1999-2003         *
// **************************************************
// *  an open-source Constraint Programming Kernel  *
// *     for Research and Education                 *
// **************************************************

public final class NodeLimit extends AbstractGlobalSearchLimit {

  public NodeLimit(AbstractGlobalSearchSolver theSolver,int theLimit) {
    super(theSolver,theLimit);
    unit = "nodes";
  }

  public boolean newNode(AbstractGlobalSearchSolver solver) {
    nb++;
    return (nb < nbMax);
  }

  public boolean endNode(AbstractGlobalSearchSolver solver) {
    return true;
  }

}
