package chocosamples;

import javax.swing.*;
import java.awt.*;

// *********************************************
// *                   J-CHOCO                 *
// *   Copyright (c) F. Laburthe, 1999-2003    *
// *********************************************
// * Event-base contraint programming Engine   *
// *********************************************

public class DemoApplet extends JApplet {
  public void init() {
    //Execute a job on the event-dispatching thread:
    //creating this applet's GUI.
    try {
      javax.swing.SwingUtilities.invokeAndWait(new Runnable() {
        public void run() {
          DemoUI ui = new DemoUI();
          ui.createGUI(getContentPane());
        }
      });
    } catch (Exception e) {
      System.err.println("createGUI didn't successfully complete");
    }
  }
}
